defmodule Nulla.UsersFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `Nulla.Users` context.
  """

  @doc """
  Generate a user.
  """
  def user_fixture(attrs \\ %{}) do
    {:ok, user} =
      attrs
      |> Enum.into(%{
        username: "some username"
      })
      |> Nulla.Users.create_user()

    user
  end
end
